import { cache, Action, ParamsFrom } from "./../index";
export declare class CacheTest extends Action {
    name: string;
    description: string;
    inputs: {
        key: {
            required: true;
            formatter: (s: unknown) => string;
            validator: (s: string) => true | "inputs should be at least 3 letters long";
        };
        value: {
            required: true;
            formatter: (s: unknown) => string;
            validator: (s: string) => true | "inputs should be at least 3 letters long";
        };
    };
    outputExample: {
        cacheTestResults: {
            saveResp: boolean;
            sizeResp: number;
            loadResp: {
                key: string;
                value: string;
                createdAt: number;
            };
            deleteResp: boolean;
        };
    };
    stringFormatter(s: unknown): string;
    stringValidator(s: string): true | "inputs should be at least 3 letters long";
    run({ params }: {
        params: ParamsFrom<CacheTest>;
    }): Promise<{
        cacheTestResults: {
            saveResp: boolean;
            sizeResp: number;
            loadResp: cache.CacheObject;
            deleteResp: boolean;
        };
    }>;
}
