import { Action, ParamsFrom } from "./../index";
export declare class SleepTest extends Action {
    name: string;
    description: string;
    inputs: {
        sleepDuration: {
            required: true;
            formatter: typeof parseInt;
            default: () => number;
        };
    };
    outputExample: {
        sleepStarted: number;
        sleepEnded: number;
        sleepDelta: number;
        sleepDuration: number;
    };
    run({ params }: {
        params: ParamsFrom<SleepTest>;
    }): Promise<{
        sleepStarted: number;
        sleepEnded: number;
        sleepDelta: number;
        sleepDuration: number;
    }>;
}
