"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionsListCLI = void 0;
const index_1 = require("./../../../index");
class ActionsListCLI extends index_1.CLI {
    constructor() {
        super();
        this.name = "actions-list";
        this.description = "List the actions defined on this server";
    }
    async run() {
        for (const actionName in index_1.api.actions.actions) {
            console.log(`\r\n--- ${actionName} ---`);
            const collection = index_1.api.actions.actions[actionName];
            for (const version in collection) {
                const action = collection[version];
                console.info(`  version: ${version}`);
                console.info(`    ${action.description}`);
                console.info("    inputs:");
                for (const input in action.inputs) {
                    console.info(`      ${input}: ${JSON.stringify(action.inputs[input])}`);
                }
            }
        }
        return true;
    }
}
exports.ActionsListCLI = ActionsListCLI;
