"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenerateServerCLI = void 0;
const fs = require("fs");
const path = require("path");
const index_1 = require("./../../../index");
class GenerateServerCLI extends index_1.CLI {
    constructor() {
        super(...arguments);
        this.name = "generate-server";
        this.description = "Generate a new Server";
        this.example = "actionhero generate server --name=<name>";
        this.inputs = {
            name: {
                required: true,
                description: "The name of the Server to generate",
                letter: "n",
            },
        };
    }
    async run({ params }) {
        let templateBuffer = fs.readFileSync(path.join(__dirname, "/../../../../templates/server.ts.template"));
        let template = String(templateBuffer);
        for (const [k, v] of Object.entries(params)) {
            const regex = new RegExp("%%" + k + "%%", "g");
            template = template.replace(regex, v);
        }
        const message = index_1.utils.fileUtils.createFileSafely(index_1.utils.replaceDistWithSrc(index_1.config.general.paths.server[0] + "/" + params.name + ".ts"), template);
        console.log(message);
        return true;
    }
}
exports.GenerateServerCLI = GenerateServerCLI;
