"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParamsInitializer = void 0;
const index_1 = require("../index");
/**
 * Collects and formats allowed params for this server.
 */
class ParamsInitializer extends index_1.Initializer {
    constructor() {
        super();
        this.buildPostVariables = () => {
            const postVariables = [];
            let i;
            let j;
            index_1.api.params.globalSafeParams.forEach((p) => {
                postVariables.push(p);
            });
            for (i in index_1.api.actions.actions) {
                for (j in index_1.api.actions.actions[i]) {
                    const action = index_1.api.actions.actions[i][j];
                    for (const key in action.inputs)
                        postVariables.push(key);
                }
            }
            index_1.api.params.postVariables = index_1.utils.arrayUnique(postVariables);
            return index_1.api.params.postVariables;
        };
        this.name = "params";
        this.loadPriority = 400;
    }
    async initialize() {
        index_1.api.params = {
            postVariables: [],
            buildPostVariables: this.buildPostVariables,
            globalSafeParams: [
                "file",
                "apiVersion",
                "callback",
                "action",
                "messageId",
            ],
        };
    }
}
exports.ParamsInitializer = ParamsInitializer;
