import * as IORedis from "ioredis";
import { Initializer } from "../index";
export interface RedisApi {
    clients: {
        [key: string]: IORedis.Redis;
    };
    subscriptionHandlers: {
        [key: string]: Function;
    };
    rpcCallbacks: {
        [key: string]: any;
    };
    status: {
        subscribed: boolean;
    };
}
/**
 * Redis helpers and connections.
 */
export declare class RedisInitializer extends Initializer {
    constructor();
    initialize(): Promise<void>;
    start(): Promise<void>;
    stop(): Promise<void>;
}
