import { Queue, Scheduler, MultiWorker } from "node-resque";
import { Initializer } from "../index";
export interface ResqueApi {
    connectionDetails: {
        [key: string]: any;
    };
    queue: Queue;
    scheduler: Scheduler;
    multiWorker: MultiWorker;
    startQueue: ResqueInitializer["startQueue"];
    stopQueue: ResqueInitializer["stopQueue"];
    startScheduler: ResqueInitializer["startScheduler"];
    stopScheduler: ResqueInitializer["stopScheduler"];
    startMultiWorker: ResqueInitializer["startMultiWorker"];
    stopMultiWorker: ResqueInitializer["stopMultiWorker"];
}
/**
 * The node-resque workers and scheduler which process tasks.
 * see https://github.com/actionhero/node-resque
 */
export declare class ResqueInitializer extends Initializer {
    constructor();
    startQueue: () => Promise<void>;
    stopQueue: () => Promise<void>;
    startScheduler: () => Promise<void>;
    stopScheduler: () => Promise<unknown>;
    startMultiWorker: () => Promise<void>;
    stopMultiWorker: () => Promise<void>;
    initialize(): Promise<void>;
    start(): Promise<void>;
    stop(): Promise<void>;
}
