import { config, Initializer, RouteType, Connection, RouteMethod } from "../index";
export interface RoutesApi {
    routes: {
        [method in RouteMethod]: RouteType[];
    };
    processRoute: RoutesInitializer["processRoute"];
    matchURL: RoutesInitializer["matchURL"];
    loadRoutes: RoutesInitializer["loadRoutes"];
}
/**
 * Contains routing options for web clients.  Can associate routes with actions or files.
 */
export declare class RoutesInitializer extends Initializer {
    constructor();
    processRoute: (connection: Connection, pathParts: string[]) => void;
    matchURL: (pathParts: string[], match: string, matchTrailingPathParts: boolean) => {
        match: boolean;
        params: {
            [key: string]: any;
        };
    };
    loadRoutes: (rawRoutes?: (typeof config)["routes"]) => number;
    initialize(): Promise<void>;
}
